Skip to main content
GET
/
v0
/
eth
/
network
/
capacity
Get Network Churn Capacity
curl --request GET \
  --url https://api.rated.network/v0/eth/network/capacity \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rated.network/v0/eth/network/capacity"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rated.network/v0/eth/network/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "latestEpoch": 1,
    "activatedValidators": 1,
    "activationCapacityFilled": 1,
    "exitedValidators": 1,
    "exitCapacityFilled": 1,
    "activatedPercentage": 1,
    "exitedPercentage": 1,
    "churnLimit": 1,
    "activationChurnLimit": 1,
    "exitChurnLimit": 1
  }
]
{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}
This endpoint returns a summary of activations and exits for all the whole network. The response gives you both the “All-time” aggregate, as well as the a paginated response on the averages of every day that precedes the current.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Rated-Network
enum<string>
default:mainnet
Available options:
mainnet,
hoodi,
holesky

Response

Successful Response

timeWindow
enum<string>
required
Available options:
1d,
7d,
30d,
all
latestEpoch
integer
required
Required range: x >= 0
activatedValidators
integer
required
Required range: x >= 0
activationCapacityFilled
number
required
Required range: x >= 0
exitedValidators
integer
required
Required range: x >= 0
exitCapacityFilled
number
required
Required range: x >= 0
activatedPercentage
number
required
Required range: x >= 0
exitedPercentage
number
required
Required range: x >= 0
churnLimit
integer
required
Required range: x >= 0
activationChurnLimit
integer
required
Required range: x >= 0
exitChurnLimit
integer
required
Required range: x >= 0